import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This actor handles the animation for the background in a match.
 */

public class AnimControl extends Actor
{
    private int frame = 0;
    private boolean firstRun = true;
    
    /**
     * Checks which frame the animation is on (out of 100). If the last frame has been reached, reset the animation.
     * 
     * Then, frame is increased by an increment of one, and the background is set to the current frame of the animation.
     * 
     * Additionally, if Debug Mode is enabled, it'll report the current frame being loaded upon first run.
     */
    public void act()
    {
        if(frame > 99)
        {
            frame = 0;
            firstRun = false;
            setImage("black.png");
        }
        frame++;
        getWorld().setBackground("images/battlebg/b" + frame + ".png");
        if(firstRun && Loader.debug)
        {
            setLocation(420,getWorld().getHeight() - 10);
            setImage(new GreenfootImage("Loading image: " + getWorld().getBackground(), 12, Color.WHITE, Color.BLACK));
        }
    }
}
