import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The actor that handles the animation for a currently unfinished/unused
 * mechanic called Grazing.
 * 
 * When the actor is created, it'll check which player and character it's for.
 * Then, it'll switch its image to the character's corresponding paddle and fade
 * moving toward the middle of the screen.
 */

public class GrazeFlavor extends Actor
{
    public int player;
    public String playerChara;
    
    /**
     * Grabs some important info from its parent, then makes it usable internally!
     */
    public GrazeFlavor(int playerNum, String playerChar)
    {
        player = playerNum;
        playerChara = playerChar; 
        setImage("images/characters/paddle/" + playerChara + ".png");
        getImage().setTransparency(255);
    }
    
    /**
     * Does stuff dependent on which player and character this is for.
     * 
     * First, it sets the image to that corresponding to the player's paddle.
     * Then, it moves toward the center of the screen, fading away as it does so.
     * Once finished, this actor will delete itself (bye bye!).
     */
    public void act()
    {
        if(player == 1)
        {
            setLocation(getX() + 3, getY());
        }
        else
        {
            setLocation(getX() - 3, getY());
        }
        if (getImage().getTransparency() > 35)
        {
            getImage().setTransparency((getImage().getTransparency() - 30));
        }
        else
        {
            getWorld().removeObject(this);
        }
    }
}
