import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This actor is responsible for loading the background frames for the game into memory ahead of time.
 * 
 * Also handles which world to load after it's done.
 */
public class Loader extends Actor
{
    private int frame = 0;
    private int frame2 = 0;
    public static boolean debug = false;
    
    public void act()
    {
        if(frame == 0)
        {
            debug = false;
        }
        if(frame > 99)
        {
            if(Notification.quick == 1)
            {
                Greenfoot.setWorld(new Game());
            }
            else
            {
                Greenfoot.setWorld(new TitleScreen());
            }
        }
        if(!(frame > 99))
        {
            frame++;
            setImage("images/battlebg/b" + frame + ".png");
            GreenfootImage image = getImage();
            getImage().setTransparency(0);
            if(Greenfoot.isKeyDown("enter")){
                Greenfoot.setWorld(new TitleMenu());
            }
        }
        if(debug)
        {
            debug();            
        }
        if(Greenfoot.isKeyDown("d"))
        {
            debug = true;
        }
    }
    
    /**
     * Prints onto the screen what image it's loading.
     */
    public void debug()
    {
        setLocation(420,getWorld().getHeight() - 10);
        setImage(new GreenfootImage("Loading image: " + getImage(), 12, Color.WHITE, Color.BLACK));
    }
}
