import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A partially unused, much more advanced menu with support for multiple options.
 * 
 * Other functions were removed due to time constraints, sadly.
 */
public class Menu extends Actor
{
    private int id;
    private String image;
    private int stun;
    private int imagex;
    public static int menuid;
    GreenfootSound  sound = new GreenfootSound("sounds/Effects/menu_move.wav"); 
    
    /**
     * Grabs its menuid from its parent.
     * 
     * Then, depending on its menuid, it'll set itself up (in terms of location, image, etc.)
     */
    public Menu(int menuid_)
    {
        id = menuid_;
        
        if(menuid_ == -1 || menuid_ == -2){
            if(menuid_ == -1)
            {
                menuid = 0;
            }
            else
            {
                menuid = 3;
            }
            sound.setVolume(90);
            getImage().setTransparency(0);
        }
        else if(menuid_ == 0){
            image = "start";
            setLocation(592,381);
        }
        else if(menuid_ == 1){
            image = "options";
            setLocation(578,414);
        }
        else if(menuid_ == 2){
            image = "credits";
            setLocation(578,444);
        }
        else if(menuid_ == 3){
            image = "start_simple";
            setLocation(592,381);
        }
    }
    
    /**
     * Uses the code corresponding to its menuid.
     * 
     * id -2 = input manager (simple variant)
     * id -1 = input manager
     * id 0 = begin
     * id 1 = options
     * id 2 = credits
     * id 3 = begin (simple variant)
     * 
     * Only begin has an attached submenu, being a function to create world Game.
     * 
     * The simple variants are what is used in this demo, and it removes all other functions than begin.
     */
    public void act()
    {
        if(id == -1){
            if(stun == 0){
                checkInput();
            }
            if(!(Greenfoot.isKeyDown("up")) && !(Greenfoot.isKeyDown("down"))){
                stun = 0;
            }
        }
        else if(id == -2){
            simpleInput();
        }
        else{
            updateImage();
            if(id == Menu.menuid){
                if(id == 0){
                    begin();
                }
            }
        }
    }
    
    /**
     * [for id -1]
     * 
     * Checks if either up arrow or down arrow are being pressed
     */
    public void checkInput()
    {
        if(Greenfoot.isKeyDown("up")){
            if(!(menuid == 0)){
                menuid--;
            }
            else{
                menuid = 2;
            }
            sound.play();
        }
        else if(Greenfoot.isKeyDown("down")){
            if(!(menuid == 2)){
                menuid++;
            }
            else{
                menuid = 0;
            }
            sound.play();
        }
        stun = 1;
    }
    
    /**
     * [for id -2]
     * 
     * Checks if either Z or Enter is being pressed.
     */
    public void simpleInput()
    {
        if(Greenfoot.isKeyDown("z") || Greenfoot.isKeyDown("enter")){
            Logo.sound.stop();
            Ball.result.stop();
            Greenfoot.playSound("sounds/Effects/menu_select_reverb.wav");
            Greenfoot.setWorld(new Tutorial());
        }
    }
    
    /**
     * [for all ids except 3, -1 and -2]
     * 
     * Sets the image to its assigned id plus either true/false depending on whether or not it's selected.
     */
    public void updateImage()
    {
        if(Menu.menuid == id){
            setImage("menu/true" + "/" + image + ".png");
        }
        else{
            setImage("menu/false" + "/" + image + ".png");
        }
    }
    
    /**
     * [for id 0]
     * 
     * If either Enter or Z is pressed, stop the music, play a sound effect and load the Tutorial world.
     */
    public void begin()
    {
        if(Greenfoot.isKeyDown("enter") || Greenfoot.isKeyDown("z"))
        {
            Logo.sound.stop();
            Ball.result.stop();
            Greenfoot.playSound("sounds/Effects/menu_select_reverb.wav");
            Greenfoot.setWorld(new Tutorial());
        }
    }
}
