import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is the actor that handles the graphics for the winscreen.
 */
public class WinScreen extends Actor
{
    private int player;
    private boolean test;
    
    /**
     * Grabs player from parent.
     */
    public WinScreen(int player_)
    {
        player = player_;
    }
    
    /**
     * Sets its image to the winscreen corresponding to the player who won.
     * 
     * After that, checks to see if Z or Enter are being pressed.
     * 
     * If so, return to the title screen.
     */
    public void act()
    {
        if(player == 1)
        {
            setImage("images/score/player1.png");
        }
        else if(player == 2)
        {
            setImage("images/score/player2.png");
        }
        setLocation(getWorld().getWidth() / 2, getWorld().getHeight() / 2);
        if(!(Greenfoot.isKeyDown("Z")) && (!(Greenfoot.isKeyDown("Enter"))))
        {
            test = true;
        }
        if(test)
        {
            if(Greenfoot.isKeyDown("Z") || (Greenfoot.isKeyDown("Enter")))
            {
                Greenfoot.playSound("sounds/effects/menu_select.wav");
                Greenfoot.setWorld(new TitleMenu());
            }
        }
    }
}
